/* ELEMENT STYLING */

body {
  margin-top: 40px;
  margin-bottom: 40px;
  font-family: "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
  background: #f6f6f6;
}

h1 {
  font-size: 4em;
  color: #005799;
}

hr {
  background-image: linear-gradient(to right, #E1E2E1, #CCCCCC, #E1E2E1);
  border: 0;
  margin: 25px 0px;
  height: 1px;
}

input {
  width: 250px;
  height: 35px;
  border-radius: 5px;
  border: 2px solid #CCC;
  padding: 5px;
}

a, a:visited {
  color: #005799;
}

button {
  background-color: #005799; 
  color: white; 
  border: 2px solid #005799;
  border-radius: 5px;
  padding: 5px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  transition-duration: 0.4s;
  cursor: pointer;
}
button:hover {
  background-color: white;
  color: #005799;
}

/* HEADER STYLING */

.splash {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
  text-align: center;
}
@media screen and (min-width: 800px) {
   .splash {
      /* display: grid; */
      grid-template-columns: 20% 80%;
      grid-template-rows: 1fr;
      column-gap: 20px;
   }
}

/* FORM STYLING */

.form {
  width: 100%;
  text-align: center;
}

/* BUTTON STYLING */
#paginationButton {
  display: block;
  margin: 0 auto;
  margin-top: 40px;
}
#returnToLink {
  display: none;
  margin: 0 auto;
  margin-bottom: 20px;
  width: fit-content;
}

/* ERROR STYLING */
#error {
  color: red;
  display: none;
  text-align: center;
}

/* RESULTS STYLING */
#resultsHeader {
  font-weight: 600;
  font-size: 1.2em;
}
#imagesDepicting {
  font-size: 1.2em;
}
#results {
  display: none;
  text-align: center;
}
#results .imageContainer {
  display: inline-block;
  position: relative;
  max-width: 320px;
  overflow: hidden;
  height: 200px;
  margin: 10px;
  border: none;
  box-shadow: 0 2px 4px #888888;
  -o-transform: scale(1,1);
  -ms-transform: scale(1,1);
  -moz-transform: scale(1,1);
  -webkit-transform: scale(1,1);
  transform: scale(1,1);
  -o-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
#results .imageContainer:hover {
  position: relative;
  z-index: 999;
  -o-transform: scale(1.03,1.03);
  -ms-transform: scale(1.03,1.03);
  -moz-transform: scale(1.03,1.03);
  -webkit-transform: scale(1.03,1.03);
  transform: scale(1.03,1.03);
}
#results .imageContainer:hover .caption {
  opacity: 1;
}
#results img {
  height: 200px;
}
#results .caption {
  opacity: 0;
  position: absolute;
  color: white;
  width: 99%;
  font-size: .9em;
  text-overflow: ellipsis;
  overflow: hidden;
  padding: 3px;
  z-index: 99999999;
  left: 50%;
  transform: translate(-50%, 0);
  background-color: rgba(0, 0, 0, 0.5);
}
#results .caption-top {
  top: 0px;
}
#results .caption-bottom {
  bottom: 0px;
}
